public class Time {
 
    private int h,m,s;
 
    public Time() {
	h = 0; m = 0; s = 0;
    }
 
    public Time(int h, int m, int s) {
        this.h = h; this.m = m; this.s = s;
    }
 
 
    public String toString() {
        String msg = h+":"+m+":"+s;
        return msg;
    }
 
    public int getH() {
        return h;
    }
 
    public int getM() {
        return m;
    }
 
    public int getS() {
        return s;
    }
 
    public Time clone() {
        return new Time(h,m,s);
    }

    public int toSeconds() {
	return h*3600+m*60+s;
    }

    public static int[] fromSeconds(int sec) {
	int[] tab = new int[3];
	tab[0] = sec/3600;
	tab[2] = sec%60;
	tab[1] = (sec-tab[0]*3600-tab[2])/60;
	return tab;
    }
	   
 
    public boolean closeTo(Time time, int gapSec) {

	int s1 = h*3600+m*60+s;
	int s2 = time.h*3600+time.m*60+time.s;
	if (Math.abs(s2-s1) <= gapSec) return true;
	return false;
    }
 
    public int gapInSeconds(Time time) {
	int s1 = h*3600+m*60+s;
	int s2 = time.h*3600+time.m*60+time.s;
	return Math.abs(s2-s1);
    } 
}
